org.eclipse.emf.cdo.common.lob

## Interface CDOLobHandler

- All Known Subinterfaces:
    CDOServerImporter.Handler, CDOServerImporter.Handler2

      public interface CDOLobHandler

  A callback interface for handling large objects.
  Since:
    4.0
  Author:
    Eike Stepper
  Apiviz
    `CDOLob` - - handles

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.OutputStream` | `handleBlob(byte[] id, long size)` A callback method for handling a `binary large object`.
    `java.io.Writer` | `handleClob(byte[] id, long size)` A callback method for handling a `character large object`.

- - ### Method Detail

    - #### handleBlob

          java.io.OutputStream handleBlob(byte[] id,
                                          long size)
                                   throws java.io.IOException

      A callback method for handling a `binary large object`. The `ID` and `size` of the blob are passed by the caller. The implementor may return a `stream` that the blob content will be written to by the caller of this method, or `null` to indicate that the content is not needed.
      Throws:
        `java.io.IOException`

    - #### handleClob

          java.io.Writer handleClob(byte[] id,
                                    long size)
                             throws java.io.IOException

      A callback method for handling a `character large object`. The `ID` and `size` of the blob are passed by the caller. The implementor may return a `writer` that the blob content will be written to by the caller of this method, or `null` to indicate that the content is not needed.
      Throws:
        `java.io.IOException`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html